com.impinj.stp

## Interface StpApi.DeviceEventReportOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.DeviceEventReport, StpApi.DeviceEventReport.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.DeviceEventReportOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.DeviceExceptionEvent` | `getDeviceExceptionEvent()` optional AntennaEvent antenna_event = 4;
    `StpApi.DeviceExceptionEventOrBuilder` | `getDeviceExceptionEventOrBuilder()` optional AntennaEvent antenna_event = 4;
    `StpApi.GPIEvent` | `getGPIEvent()` optional SerializationJobEvent serialization_job_event = 2;
    `StpApi.GPIEventOrBuilder` | `getGPIEventOrBuilder()` optional SerializationJobEvent serialization_job_event = 2;
    `StpApi.LowEncodeVolumeEvent` | `getLowEncodeVolumeEvent()`
    `StpApi.LowEncodeVolumeEventOrBuilder` | `getLowEncodeVolumeEventOrBuilder()`
    `StpApi.OperationEvent` | `getOperationEvent()`
    `StpApi.OperationEventOrBuilder` | `getOperationEventOrBuilder()`
    `boolean` | `hasDeviceExceptionEvent()` optional AntennaEvent antenna_event = 4;
    `boolean` | `hasGPIEvent()` optional SerializationJobEvent serialization_job_event = 2;
    `boolean` | `hasLowEncodeVolumeEvent()`
    `boolean` | `hasOperationEvent()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasOperationEvent

          boolean hasOperationEvent()

    - #### getOperationEvent

          StpApi.OperationEvent getOperationEvent()

    - #### getOperationEventOrBuilder

          StpApi.OperationEventOrBuilder getOperationEventOrBuilder()

    - #### hasGPIEvent

          boolean hasGPIEvent()

      optional SerializationJobEvent serialization_job_event = 2;

    - #### getGPIEvent

          StpApi.GPIEvent getGPIEvent()

      optional SerializationJobEvent serialization_job_event = 2;

    - #### getGPIEventOrBuilder

          StpApi.GPIEventOrBuilder getGPIEventOrBuilder()

      optional SerializationJobEvent serialization_job_event = 2;

    - #### hasDeviceExceptionEvent

          boolean hasDeviceExceptionEvent()

      optional AntennaEvent antenna_event = 4;

    - #### getDeviceExceptionEvent

          StpApi.DeviceExceptionEvent getDeviceExceptionEvent()

      optional AntennaEvent antenna_event = 4;

    - #### getDeviceExceptionEventOrBuilder

          StpApi.DeviceExceptionEventOrBuilder getDeviceExceptionEventOrBuilder()

      optional AntennaEvent antenna_event = 4;

    - #### hasLowEncodeVolumeEvent

          boolean hasLowEncodeVolumeEvent()

    - #### getLowEncodeVolumeEvent

          StpApi.LowEncodeVolumeEvent getLowEncodeVolumeEvent()

    - #### getLowEncodeVolumeEventOrBuilder

          StpApi.LowEncodeVolumeEventOrBuilder getLowEncodeVolumeEventOrBuilder()